CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfRenderStates Struct Reference

Define the states used for drawing to a RenderTarget. More...

`#include <RenderStates.h>`

## Data Fields
sfBlendMode | blendMode
| Blending mode. More...
sfTransform | transform
| Transform. More...
const sfTexture * | texture
| Texture. More...
const sfShader * | shader
| Shader. More...

## Detailed Description

Define the states used for drawing to a RenderTarget.

Definition at line 41 of file RenderStates.h.

## Field Documentation

sfBlendMode sfRenderStates::blendMode

Blending mode.

Definition at line 43 of file RenderStates.h.

const sfShader* sfRenderStates::shader

Shader.

Definition at line 46 of file RenderStates.h.

const sfTexture* sfRenderStates::texture

Texture.

Definition at line 45 of file RenderStates.h.

sfTransform sfRenderStates::transform

Transform.

Definition at line 44 of file RenderStates.h.

The documentation for this struct was generated from the following file:

- RenderStates.h